# Spirituality

Links and resources specifically relating to spirituality, metaphysics and the
nature of existence and reality.

I started writing this page on **Aug 9, 2019** after a couple years reading into
lots of esoteric stuff. The page will grow as I come and backfill in links to
all sorts of things I found, and the purpose of this page is to distill down the
common "fundamental truths" and read between the lines of all religions and magick
while providing links to examples found everywhere.

* [Common Root Phenomena](#common-root-phenomena)
  * [Mind Is Everything](#mind-is-everything) (Reality is subjective)
  * [Lucid Dreaming](#lucid-dreaming) (Astral Projection)
  * [Law of Attraction](#law-of-attraction) (Chaos Magick, Wicca, Dimension Jumping)
      * [The Two Cups Method](#the-two-cups-method)
  * [The Unknowable God](#the-unknowable-god) (Source, the One Consciousness, the True God)
* [Behind the Veil](#behind-the-veil)
  * [The Akashic Records](#the-akashic-records)
  * [The Wheel of Time](#the-wheel-of-time)
  * [Indra's Net](#indra-s-net)

## My Personal Beliefs

There's a lot of "woo-woo" linked on this page but these are just the examples
to show that a lot of people, with their own varied and crazy belief systems, are
actually talking about the same things and I rather go straight to their source.

* I don't subscribe to horoscopes, chakras, crystals, psychic powers, astral
  projection, occult magic, angels or demons, archons or the demiurge as I
  have never directly experienced these things.
* However, I believe these things are real _for those who believe_ and reality
  is subjective anyway. If you believe in and wish to see angels or spirits or
  what have you, I believe you will start to see them. If they help you live
  your life and achieve your goals, more power to you.
* [Law of Attraction](#law-of-attraction) is real and there's an infinite number
  of methods to use it, from "woo-woo magick" to every self-help book and
  motivational speech that I've ever heard. You don't need be religious or believe
  in any magic to manifest reality with your thoughts.
* I subscribe and keep tabs on all sorts of spiritual topics. You never know
  when a piece of wisdom will come from an unexpected source.

# Common Root Phenomena

Religions and various practices all throughout the world and history have given
many different names, symbols and rituals to some common root phenomena that
have been experienced by different people at different times.

I'm specifically talking about Abrahamic religions (i.e. Christianity, Judaism,
Islam, Gnosticism) as well as Hinduism and Buddhism. Also Wicca, chaos magick
and the occult in general.

## Mind Is Everything

What most of these common phenomena boil down to is that "mind is everything,
reality is subjective, the universe works exactly how you think it does, what
happens when you die is exactly what you think will happen" and there's no
objectively right answers.

A common thing you'll encounter when reading about various forms of magick is
that it mostly only affects your _personal reality_ and you won't be able to
convince anybody else of any of it if they don't want to believe. But what even
_is_ "reality" anyway?

Each of us is living in our own personal reality even while we seem to interact
with other people "out there" in the real world. Even if you take the stark
materialist, scientific approach: you're a brain living in a dark skull that
doesn't see the real world, only the electrical impulses given by your eyes and
ears that your brain uses to re-construct an approximation of reality that lets
you function in the world. [Is your red the same as my red?](https://www.youtube.com/watch?v=evQsOFQju08)

## Lucid Dreaming

> **Other names:** Astral Projection, Out of Body Experience

Lucid dreaming is the act of becoming aware that one is having a dream _while_
in a dream. When you become lucid and you realize the dream world is entirely of
your own creation, you can change it, fly through the air like Peter Pan, summon
any dream character (real or fictional) you want, teleport to new surroundings,
explore distant planets and fantastical environments and so on.

See ["The Phase" - Leave Your Body in 3 Days](https://www.youtube.com/watch?v=YQjAIlFZWWc)
for a good overview of how to lucid dream.

Astral Projection is another word for lucid dreaming. AP'ers will believe they've
left their body and gone to the astral plane and it might be based on real-world
locations of which they are familiar, but they fail to bring back any objective
hard evidence that would convince a skeptic that Astral Projection has anything
to it.

Links:

* Reddit:
  * [/r/luciddreaming](https://www.reddit.com/r/luciddreaming)
  * [/r/AstralProjection](https://www.reddit.com/r/AstralProjection/)
* ["The Phase" - Leave Your Body in 3 Days](https://www.youtube.com/watch?v=YQjAIlFZWWc)

## Law of Attraction

> **Other names:** Chaos Magick, Dimensional Jumping, various occult magick
> disciplines (Wicca, Voodo, etc.)

The [Law of Attraction](https://en.wikipedia.org/wiki/Law_of_attraction_%28New_Thought%29)
is another common root phenomena that has many different names and belief
systems surrounding it.

The LoA can be summarized as "like attracts like" or "put out positive thoughts
and intention into the world and the world gives you positive results" and the
same goes the opposite way.

**Prayer** and **meditation** are the most common ways people invoke the Law of
Attraction. In the former, you're intently focused on a prayer to your favorite
deity for something to unfold in your life and in the latter you may just be
focused on what you want to achieve. Then you forget about it and go on the rest
of your day, and what you want manifests itself in sometimes improbable ways.

Various techniques and methods are used to help you further visualize and focus
your intentions:

* **Chaos magick**
  * This is "non-denominational" magick. It states that all the rituals and symbols
    associated with magic use (candles, pentagrams, chants, etc.) are all fundamentally
    meaningless but they help you visualize and believe in the magick which is the
    root mechanism for the Law of Attraction, to be intently focused on an outcome
    and to put the emotional energy and intent behind it for it to manifest.
  * [The Complete Psychonaut Field Manual - A Cartoon Guide to Chaos Magick](https://ultraculture.org/blog/2015/11/13/psychonaut-field-manual/)
    offers a good introduction and overview in easily digestable webcomic format.
  * [Chaos magick on Wikipedia](https://en.wikipedia.org/wiki/Chaos_magic)
* **Dimension Jumping**
  * Subreddits: [/r/dimensionjumping](https://www.reddit.com/r/dimensionjumping) and
    [/r/dimensionaljumping](https://www.reddit.com/r/dimensionaljumping) - the latter
    is archived but has a wealth of information to search.
  * The belief system is that The Universe actually consists of a multiverse of infinite
    parallel realities -- every reality possible, in fact -- and a countless number of
    these realities have _you_ in them. By focusing your intention and performing
    chaos magick-like experiments you can "jump" to alternate dimensions to manifest things
    you want.
  * There's no hard scientific proof of the multiverse and the methods proposed on
    these subreddits are similar to ones you find in other magick and LoA practices.

### The Two Cups Method

To evidence the connection between Law of Attraction with various magick and
quantum multiverse theories, I've seen the two cups method come up multiple
times in my research.

The two cups method is basically this:

* Think of something you want to change or manifest into your reality.
* Get two cups and a way to label them (masking tape, sticky note, tape a slip
  of paper you can write on, etc.)
* On one cup, summarize the current state you want to change as one word, for
  example "Debt" or "Sickness" and fill this cup with water.
* On the other cup, summarize the desired state in the same way, for example
  "Wealth" or "Healthy"
* While focusing carefully on your intention, slowly pour the water from the
  first cup into the second, the water helping you visualize the transition to
  getting what you want.
* Drink the water from the new cup. Remove the labels and put the cups away,
  you're done! Don't dwell on it much more, Law of Attraction works best when
  you let the universe manifest it in its own way.

Links to where I've seen this under different labels:

* [Dimensional Jumping](https://www.reddit.com/r/DimensionalJumping/comments/3h2yxo/the_act_is_the_fact_part_one_an_exercise/)
* [A site about witchcraft and magick](https://www.shadowharvestwitch.com/blogharvestingshadows/2018/9/20/two-cup-method-spell)

## The Unknowable God

> **Other names:** Source, the One Consciousness, the True God, the Universe Itself,
> The Supreme Self, Brahman, The Father.

The most common fundamental belief at the root of all the religions I've found is
the idea that the universe itself is made of consciousness. Consciousness is **all**
that exists, and the universe wouldn't exist without it. Matter is made from
consciousness. The brain does not create consciousness; consciousness creates the
brain.

"We are just the universe experiencing itself." We are all God, in one way or
another. What are the characteristics of God as defined by most religions?
All-powerful, omniscient, omnipresent. God can't be a subject _inside_ the
universe, for that would imply the universe is greater than God. There can't
be anything _outside_ of the universe, or else God would be contained within
that too.

The Unknowable God therefore is the very fabric of existence itself, the whole
entire universe all at once. Not a humanoid figure that one could know. The
unknowable god is the Source of all consciousness that exists, you and I and all
the animals and creatures and everything is a part of this One Consciousness.
In a way, God is playing that he's _not_ God by imagining that he is each and
every one of us, wearing us all like masks.

This isn't necessarily to imply the universe is [solipsistic](https://en.wikipedia.org/wiki/Solipsism)
(although it very well could be). From one scale of looking at it, we _are_ all
God because God is all that could exist, but if you zoom in to our scale of living
we all might as well be separate individuals with our own private perspectives.

* [Hinduism and the Belief in One God](https://www.hinduwebsite.com/onegod.asp) -
  "He exists in all and all beings exist in him. There is nothing other than Him,
  and there is nothing that is outside of Him. He is Imperishable, unknowable,
  immortal, infinite, without a beginning and without an end."
* [An Unknowable God - What Bahá’ís Believe](https://www.bahai.org/beliefs/god-his-creation/revelation/unknowable-god)
* [**The Egg**](http://galactanet.com/oneoff/theegg_mod.html), a short story by Andy Weir
  * [Video adaptation on YouTube](https://www.youtube.com/watch?v=ehRggplMieM)
* [The Unknowable God](http://theforbiddenreligion.com/the-unknowable-god.htm) - from
  the Gnostic book "Primordial Gnosis: The Forbidden Religion"

-----

# Behind the Veil

This section of the page and onwards is not a list of things that commonly appear
across a _wide_ range of spiritual disciplines but does have enough of a
recurring theme (experienced by many different people) that it warrants its own
section.

IMHO, the mechanisms of what goes on "behind the veil" are _probably_ none of
our business and you can learn to enjoy "heaven on Earth" with your own outlook
on life. This section details near death experiences, psychedelic trip reports
and other scary things that people have _commonly_ encountered on the other side.

## The Akashic Records

TBD.

## The Wheel of Time

Most commonly reported by people who've consumed Salvia, many have reported
encountering the "wheel of time" or the "wheel of karma," a crazy fractal
wheel-like object that contains the entirety of the universe and all its
possible timelines and realities.

I first heard of it from [a near-death experience report](https://www.reddit.com/r/Psychonaut/comments/6o3233/this_near_death_experience_nde_account_resembles/)
on Reddit and through comments was linked to a
[search for "wheel" on /r/salvia](https://www.reddit.com/r/Salvia/search/?q=wheel&restrict_sr=1)
where I found many trip reports and artist depictions of the wheel.

Links:

* **Near Death Experiences**
  * [I fell out of the 3rd dimension into...another dimension?](https://www.reddit.com/r/AskReddit/comments/332k1c/serious_redditors_who_have_been_clinically_dead/cqh5wj2/) - Redditor
    describes seeing fractals of realities similar to his own and having to choose
    one to return to. Isn't sure he returned to the correct reality.
  * [Fatal car wreck and description of a "water wheel" of every conceivable reality](https://www.reddit.com/r/Glitch_in_the_Matrix/comments/60rtm5/meta_near_death_experience_glitch_reveals/)
* **Salvia Trip Reports**
  * ["Welcome back, my child"](https://www.reddit.com/r/Drugs/comments/39ciq3/first_trip_report_20x_welcome_back_my_child_xpost/)
  * [My first experience with the wheel](https://www.reddit.com/r/Salvia/comments/7ysx69/my_first_experience_with_the_wheel/)

## Indra's Net

TBD.
