# Bookmarks

This page will be my effort to migrate bookmarks out of my web browsers and onto this page. Because why should these
great links be locked away in Mozilla's heavily encrypted Sync service? I can probably keep track of them better myself,
and this way I won't have to worry about losing them to a browser glitch!

Also, some of these links may be helpful to others.

If you want to bookmark my bookmarks, then bookmark _this_ page, as I may be reorganizing some of these onto
sub-pages when this list gets too long.

## Sub-Pages

* [Corporate Sins](/wiki/Bookmarks/Corporate-Sins) — Let's not forget the crimes against humanity committed by corporations.
* [Development](/wiki/Bookmarks/Development) — Resources, tutorials and interesting articles for software developers.
  Topics include Bash, C/C++, HTML/CSS/JS, Python, Unicode...

## Table of Contents

* [Development](/wiki/Bookmarks/Development#development)
    * [Bash](/wiki/Bookmarks/Development#bash)
    * [C/C++](/wiki/Bookmarks/Development#c-c)
    * [HTML/CSS](/wiki/Bookmarks/Development#html-css)
    * [Game Dev](/wiki/Bookmarks/Development#game-dev)
    * [Git](/wiki/Bookmarks/Development#git)
    * [Go](/wiki/Bookmarks/Development#go) — Golang
    * [JavaScript](/wiki/Bookmarks/Development#javascript)
    * [PHP](/wiki/Bookmarks/Development#php)
    * [Programmer Humor](/wiki/Bookmarks/Development#programmer-humor)
    * [Python](/wiki/Bookmarks/Development#python)
    * [Technology](/wiki/Bookmarks/Development#technology) — Hadoop, MongoDB, etc.
        * [Google Ban Hammer](/wiki/Bookmarks/Development#google-ban-hammer) — Because people don't believe me without examples.
    * [Tutorials](/wiki/Bookmarks/Development#tutorials)
    * [Unicode](/wiki/Bookmarks/Development#unicode)
    * [Web Development](/wiki/Bookmarks/Development#web-development) — HTML, JavaScript &amp; CSS
        * [API Design](/wiki/Bookmarks/Development#api-design)
        * [Web Dev Tools](/wiki/Bookmarks/Development#web-dev-tools)
* [Gaming](#gaming)
* [Introversion](#introversion) — Topics about introverts.
* [Network Security](#network-security) — Encryption, OpSec, &amp; hacking topics.
  * [NSA](#nsa) — Stories of the NSA, Edward Snowden, and related OpSec topics.
* [Philosophy](#philosophy)
  * [DP/DR](#dp-dr) — Depersonalization/derealization.
* [Politics](#politics)
* [Privacy](#privacy)
* [Short Stories](#short-stories)
* [Spirituality](#spirituality)
  * [Gnostic](#gnostic)
* [Reddit](#reddit) — Miscellaneous cool Reddit threads and comments.

# Gaming

* Minecraft
  * [XP Farm Guide](https://imgur.com/a/gkNzm?gallery) — Basics on how to turn a spawner dungeon into an automated mob grinder.
  * [Negative Space](https://imgur.com/a/yqlkc#0) — A building design guide.
  * [My Guide to Building Modularly, and the Power of Cubes!](https://imgur.com/a/K1Vyk)
* Pokémon
  * [**Pokémon X/Y Guide** Megathread](https://www.reddit.com/r/pokemon/comments/1ov1s5/pok%C3%A9mon_xy_guide_megathread/) — Collection of all sorts of in-depth guides.
* Zelda
  * [**Breath of the Wild** Data Compendium](https://docs.google.com/document/d/1QiaqiORIK0BVTRjO-PtHKyAL5nTT8QushYDIWozNwoo/edit) — Way more numbers than you ever wanted about weapons, attacks, defense, HP and so-on.

# Introversion

* [The Pros and Cons of being an Introvert](https://thebranchingmind.com/2017/09/03/the-pros-and-cons-of-being-an-introvert/)

# Network Security

* Operational Security (OpSec) — *The first rule of OpSec is you don't talk about your OpSec.*
  * [Protecting a Laptop from Simple and Sophisticated Attacks](https://www.grepular.com/Protecting_a_Laptop_from_Simple_and_Sophisticated_Attacks)
  * [Secure Secure Shell](https://stribika.github.io/2015/01/04/secure-secure-shell.html) — SSH hardening tips &amp; tricks.
  * [15 reasons NOT to start using PGP](http://secushare.org/PGP) — It's harder to use *optional* encryption over *insecure* e-mail when there are better alternatives.
  * [OpenPGP Best Practices](https://riseup.net/en/security/message-security/openpgp/best-practices) — If you *must* use PGP.
  * [What Sean Penn Teaches Us About How Not to Chat With a Fugitive](https://theintercept.com/2016/01/12/sean-penn-el-chapo-opsec/) — El Chapo post-mortem on OpSec failure.
  * [**Ed Snowden** Taught Me to Smuggle Secrets Past Incredible Danger. Now I Teach You.](https://theintercept.com/2014/10/28/smuggling-snowden-secrets/)
  * [NSA-proof your e-mail in 2 hours](http://sealedabstract.com/code/nsa-proof-your-e-mail-in-2-hours/)
* Post-mortems and Tales
  * [Reflections on Trusting Trust](http://wiki.c2.com/?TheKenThompsonHack) — The **Ken Thompson Hack** - Can you trust your C compiler? Linker? Kernel? Hardware?
  * [Pwning a Spammer's Keylogger](https://www.trustwave.com/Resources/SpiderLabs-Blog/Pwning-a-Spammer-s-Keylogger/)
  * [Everything Is Broken](https://medium.com/message/everything-is-broken-81e5f33a24e1)
  * [Lockdown: The coming war on general-purpose computing](https://boingboing.net/2012/01/10/lockdown.html) (2011)
  * [Fun with your friend's Facebook and Tinder sessions](https://robertheaton.com/2014/12/08/fun-with-your-friends-facebook-and-tinder-session-tokens/)
  * [Snapchat Protocol Reverse Engineering &amp; Security Audit](http://gibsonsec.org/snapchat/fulldisclosure/)
* Cryptography
  * [You are dangerously bad at cryptography](https://www.happybearsoftware.com/you-are-dangerously-bad-at-cryptography.html)
  * [Myths about `/dev/urandom`](https://www.2uo.de/myths-about-urandom/)
* Tor Project &amp; Onion Routing
  * [Tor Project](https://www.torproject.org/)
  * [Combining Tor with a VPN](https://www.deepdotweb.com/jolly-rogers-security-guide-for-beginners/combining-tor-with-a-vpn/)
* Tutorials
  * [Secure Salted Password Hashing - How to do it Properly](https://crackstation.net/hashing-security.htm)
  * [Enhanced challenge/response authentication algorithms](http://openwall.info/wiki/people/solar/algorithms/challenge-response-authentication)
  * [How to use DM-Crypt to Create an Encrypted Volume on Ubuntu](https://www.digitalocean.com/community/tutorials/how-to-use-dm-crypt-to-create-an-encrypted-volume-on-an-ubuntu-vps)
* References and Cheat Sheets
  * [XSS Filter Evasion Cheat Sheet](https://www.owasp.org/index.php/XSS_Filter_Evasion_Cheat_Sheet) — Defeating cross-site scripting filters

## NSA

* Nothing to Fear, Nothing to Hide
  * [If You Are Doing Nothing Wrong You Have PLENTY to Fear - 30 Examples](https://foodforthethinkers.com/2014/04/25/if-you-are-doing-nothing-wrong-you-have-plenty-to-fear-30-examples/)
* The Chilling Effect
  * [Mass surveillance silences minority opinions, according to study - The Washington Post](https://www.washingtonpost.com/news/the-switch/wp/2016/03/28/mass-surveillance-silences-minority-opinions-according-to-study/)
* NSA Sharing their Warez
  * [NSA Tools for Spying on Foreign Terrorists Used by **DEA** to Bust Americans for Drugs](https://www.reddit.com/r/Libertarian/comments/1jqmnu/nsa_tools_for_spying_on_foreign_terrorists_used/)
* OpSec
  * [PRISM Break - Opt out of global surveillance programs like PRISM, XKeyscore, and Tempora](https://prism-break.org/en/) — Comprehensive guide to open source tools and best practices.
  * [NSA-proof your e-mail in 2 hours](http://sealedabstract.com/code/nsa-proof-your-e-mail-in-2-hours/)
  * [Get your loved ones off Facebook](http://www.salimvirani.com/facebook/)
* [Inside the NSA's War on Internet Security](http://www.spiegel.de/international/germany/inside-the-nsa-s-war-on-internet-security-a-1010361.html)
* [We're Deprecating HTTP and It's Going to be Okay](https://konklone.com/post/were-deprecating-http-and-its-going-to-be-okay) — HTTPS Everywhere!
* [Having Lost the Debate on Backdooring Encryption, Intelligence Community Plans to Wait Until Next Terrorist Attack](https://www.techdirt.com/articles/20150916/15570332276/having-lost-debate-backdooring-encryption-intelligence-community-plans-to-wait-until-next-terrorist-attack.shtml)
* [More Stories of People Arrested for Making Joke Threats on Social Networks](https://www.techdirt.com/articles/20100923/01464111127/more-stories-of-people-arrested-for-making-joke-threats-on-social-networks.shtml)

# Philosophy

* [Breaking into the Simulated Universe](https://ieet.org/index.php/IEET2/more/Edge20161030)
* [What Does It Mean to Die?](https://www.newyorker.com/magazine/2018/02/05/what-does-it-mean-to-die) — Concerning what it means to die: A New Yorker article explores some of the real-world effects of the work of philosophers.
* YouTube Videos:
  * [Alan Watts - Life is NOT a Journey](https://www.youtube.com/watch?v=rBpaUICxEhk) — we think of life as a pilgrimage, a journey to the end, the next big goal. Go to college, get married, have kids, retire. But we miss the point the whole way along: it was a musical thing and you were supposed to sing or to dance while the music was being played.
  * [Alan Watts - Law of Attraction](https://www.youtube.com/watch?v=hK_yGDn6BVQ)

## DP/DR

> Depersonalization is a state in which you perceive yourself from a third person
> perspective as a character in a dream. It is hard to cure because it is
> literally true. Your mind is just not supposed to remember that it is the
> author of the dream that your self experiences.
> [@Plinz](https://twitter.com/Plinz/status/1008961482804154368)

For me, a lot of the questions raised while experiencing DP/DR are philosophical
in nature so I categorize these links as a sub-genre of [Philosophy](#philosophy).

* [Depersonalization/Derealization on Wikipedia](https://en.wikipedia.org/wiki/Depersonalization_disorder)
* [/r/dpdr](https://www.reddit.com/r/dpdr)
* YouTube Videos:
  * [Jim Carrey - What It All Means](https://www.youtube.com/watch?v=wTblbYqQQag)
  * [Alan Watts - Happiness is NOT the Meaning of Life](https://www.youtube.com/watch?v=RsdoJ9x8IBs) — If you had the magic power to dream anything you wanted to dream -- be a superhero, have every kind of pleasure -- you would eventually dream where you are now. Of playing that you weren't God.
  * [Alan Watts Proves You Don't Exist](https://www.youtube.com/watch?v=vNKOUhx-7qk)
  * [Alan Watts - Are you ready to 'wake up'?](https://www.youtube.com/watch?v=YFzeCv_WFnY)

# Politics

* [Voting lines between Democrats and Republicans on many key issues](https://np.reddit.com/r/technology/comments/6pc5qu/democrats_propose_rules_to_break_up_broadband/dkon8t4/) — and they say both sides are the same. Republicans and Democrats voted polar opposites (-100%...+100%) on many key controversial issues like Net Neutrality, economy/jobs, "war on terror", civil rights, family planning and environmentalism.

# Privacy

This topic has some overlap with my [NSA](#nsa) category; check those links too.

* [Privacy in General](https://www.billdietrich.me/Privacy.html) — "Why should I care about privacy ? I have nothing to hide. I'm not a criminal." —  Privacy matters because there are criminals and corporations out there trying to rip you off.
* [If You Are Doing Nothing Wrong You Have PLENTY to Fear - 30 Examples](https://foodforthethinkers.com/2014/04/25/if-you-are-doing-nothing-wrong-you-have-plenty-to-fear-30-examples/)

# Short Stories

* [There Will Come Soft Rains by Bradbury](http://www.gs.cidsnet.de/englisch-online/originals/soft_rains.htm) — A chilling tale of a smart home in a post-apocalyptic future.
* [The Last Question by Isaac Asimov](http://multivax.com/last_question.html) — A short story about the heat death of the universe. *How can entropy be reversed?*
* [The Last Answer by Isaac Asimov](http://www.thrivenotes.com/the-last-answer/) — A short story about an afterlife of never-ending consciousness.
* [I don't know, Timmy, being God is a big responsibility](https://qntm.org/responsibility) — A short story about a supercomputer that simulates the universe a little *too* perfectly. *"Well, we can't exactly turn it off."*
* [The Egg by Andy Weir](http://www.galactanet.com/oneoff/theegg_mod.html) — A story about the space in between lives. [Excellent YouTube adaptation.](https://www.youtube.com/watch?v=ehRggplMieM)
* [Ragged Trousered Philosopher](http://www.fullmoon.nu/articles/art.php?id=tal) — A conversation with God on a train.
* [The Machine](http://existentialcomics.com/comic/1) — A webcomic about teleporters and whether they murder &amp; re-materialize their users.
* [25 Lives](https://s2b2.livejournal.com/142934.html) — A touching webcomic about reincarnation.

# Spirituality

## Gnostic

* **The origin story:** because the book of Genesis is just a fraction of the full story.
  Gnostic readings that were recommended to me:
  1. [On the Origin of the World](http://www.gnosis.org/naghamm/origin.html)
  2. [The Hypostasis of the Archons](http://www.gnosis.org/naghamm/hypostas.html)
  3. [The Apocryphon of John](http://www.gnosis.org/naghamm/apocjn.html)

# Reddit

* [Surprise psychology on *What is the most cynical thing you honestly believe?*](https://www.reddit.com/r/AskReddit/comments/19hfj3/what_is_the_most_cynical_thing_you_honestly/c8o44w2/)
* [You had ONE job](https://www.reddit.com/r/funny/comments/2dsyys/you_had_one_job/) — Placeholder texts in production.
* [rugtoad comments on 'What do insanely poor people buy, that ordinary people know nothing about?'](https://www.reddit.com/r/AskReddit/comments/2sbi17/what_do_insanely_poor_people_buy_that_ordinary/cno0g4b/)
* [What are the things you simply DON'T FUCK WITH?](https://www.reddit.com/r/AskReddit/comments/2t1qwh/what_are_the_things_you_simply_dont_fuck_with/) — Chemistry.
* [More scary chemicals that you don't fuck with](https://www.reddit.com/r/AskReddit/comments/4ioqd5/what_do_you_never_fuck_with/d3028rn?context=4)
* [10 years from now I am a scientist working at the Large Hadron Collider. AMA.](https://www.reddit.com/r/IAmA/comments/9z4d5/10_years_from_now_i_am_a_scientist_working_at_the/) — Humor.
* [You just won a 656 Million Dollar Lottery. What do you do now?](https://www.reddit.com/r/AskReddit/comments/24vzgl/you_just_won_a_656_million_dollar_lottery_what_do/chba4bf/) — In case that ever happens.
